package net.wanji.utc.mapper;

import net.wanji.utc.po.ManufacturerInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/15 16:48
 */
public interface ManufacturerInfoMapper {

    ManufacturerInfoPO selectByAbbr(@Param("abbr") String abbr);

    ManufacturerInfoPO selectById(@Param("manufacturerId") Integer manufacturerId);

    List<ManufacturerInfoPO> selectAll();

    List<ManufacturerInfoPO> selectByOptionalName(@Param("name") String name);

    void insertOne(ManufacturerInfoPO manufacturerInfoPO);

    void updateOne(ManufacturerInfoPO manufacturerInfoPO);

    void deleteBatch(@Param("ids") List<Integer> ids);

    Integer selectIdByName(@Param("manufacturerName") String manufacturerName);
}
